Page 7 of 10 FirstFirst ... 56789 ... LastLast
Results 61 to 70 of 91

Thread: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

  1. #61
    Join Date
    Jul 2008
    Location
    Miskolc, HUN
    Beans
    31
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    Quote Originally Posted by kevdog View Post
    Im not sure what you mean collapsed, but I'm sorry to hear about your ordeal. My vv version is running ok, but I can't test with gchat
    You're lucky Does video and/or voice work?

    On my PC booting process was busy before logging in, I switched off after 5 mins. That was the first boot after installing pidgin vv. Then I reinstalled and formatted the /home partition as well, recompiled pidgin vv, and then when normal booting I had only the blinking cursor. In recovery mode I uninstalled pidgin, but no improvement. I reinstalled the OS without formatting the /home partition and now also GRUB failed... Next time I will boot a liveCD and try to check the system logs.
    Ubuntu 8.10

  2. #62
    Join Date
    Mar 2007
    Location
    Denver, CO
    Beans
    7,721
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    I havent been able to test voice or video yet, however from your description, it would be hard to pin all those problems on just a pidgin vv installation.

  3. #63
    Join Date
    Jul 2008
    Location
    Miskolc, HUN
    Beans
    31
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    Quote Originally Posted by kevdog View Post
    it would be hard to pin all those problems on just a pidgin vv installation.
    You're right, it seems I'm facing problems with the HDD, in some cases it's not booting at all, after a fresh install...
    Ubuntu 8.10

  4. #64
    Join Date
    Mar 2007
    Location
    Denver, CO
    Beans
    7,721
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    Lets talk again once you get the situation with your hardware solved

  5. #65
    Join Date
    Aug 2007
    Location
    Alsip
    Beans
    199
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    Quote Originally Posted by kevdog View Post
    Just a few questions and I can add info to the original post

    I know you are installing on 64 bit Ubuntu

    Did you do the following:
    sudo apt-get build-dep pidgin

    If you did, are you telling me you had to install additional libraries as listed above to compile on the 64 bit platform?
    Sorry, haven't had time to play with the laptop in a while.
    I believe that I already had build-dep pidgin install, I'll retest to make sure.

    Just to be safe, can anyone else confirm this on 64?
    It's funny to think how underdeveloped the world is, really makes it easier for a developer to get ahead.

    Linux User: #461968

  6. #66
    Join Date
    Aug 2007
    Location
    Alsip
    Beans
    199
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    UNCONFIRMED

    I removed the additional packages mentioned earlier and reinstalled build-dep pidgin

    Then make installed the latest version of Pidgin 2.5.5
    Unless someone else confirms it, 64 works great and does NOT need additional packages.

    Works great so far, thanks for the tut by the way.
    It's funny to think how underdeveloped the world is, really makes it easier for a developer to get ahead.

    Linux User: #461968

  7. #67
    Join Date
    Mar 2007
    Location
    Denver, CO
    Beans
    7,721
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    Thanks for input -- I'll add that the instructions are also for 64 bit builds

  8. #68
    Join Date
    Apr 2006
    Location
    Bangalore
    Beans
    69
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    Any specific info for Pidgin 2.5.5 ??
    I'm not getting the new one to work now

    EDIT: Never mind .. Got 2.5.5 working in Intrepid
    Last edited by =CrAzYG33K=; March 6th, 2009 at 08:38 PM.

  9. #69
    Join Date
    Mar 2009
    Beans
    1

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    Hi,

    yesterday I compiled 2.5.5 and I have to say it worths. This version is not that buggy as the official Ubuntu Intrepid one.

    Today I compiled and tested the current mtn version 2.6dev with video support. Result: gtalk audio calls work. Webcam works also, but a video call was not possible to establish. The windows appear but there is no transmitted video, just audio.

    Video for Yahoo was not supported. Maybe this is because I only took the faresight libaries from medibuntu. And with the latest it works.

    Hope this will come in version 2.6 soon and thanks for the great work to the pidgin team!

    Bye from Berlin

  10. #70
    Join Date
    Mar 2007
    Location
    Denver, CO
    Beans
    7,721
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: How to Compile Pidgin with Plugins from Source in Intrepid Ibex

    Just a few followup points

    Im glad you tested gtalk -- since I never tested it. From my conversations with the developers, only audio right now is supported and not video. That means there was no error with your compilation or settings.

    From my knowledge video at a minimum is not supported until the 3.0 release, and since right now we are only at 2.5.5, its going to be awhile.

    As far as the yahoo video, the actual video implementation is controlled by the farsight library package: http://farsight.freedesktop.org/wiki/
    In order to allow for yahoo video, the base package must be compiled with the YahooWebCam Plugin. Due to library dependency issues, I could not compile libfarsight/YahooWebCam Plugin with the base libraries contained within the intrepid universe repositories. Dependency issues may be solved with the jaunty libraries or by using another distro such as Arch that is a rolling release. I'd be curious if you are using Jaunty, if you could compile farsight with the YahooPlugin. By compiling from source, this would basically eliminate the part of the developmental instructions:

    sudo apt-get install libgstfarsight0.10-0 libgstfarsight0.10-dev

Page 7 of 10 FirstFirst ... 56789 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •